# Get price history

Source: https://holofolder.com/app/docs/reference/prices-and-insights/get-price-history

GET https://app.holofolder.com/app/api/v1/prices/{id}/history

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "get_price_history",
  "summary": "Get price history",
  "description": "Read all recorded price evidence with bounded keyset pagination.\n\nRequired permissions: `prices:read`. MCP tool: `get_price_history`.",
  "tags": [
    "Prices and insights"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      }
    },
    {
      "name": "language",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "en",
          "fr",
          "de",
          "es",
          "it",
          "pt-br",
          "ja",
          "ko"
        ]
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "minimum": 1,
        "maximum": 100
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "maxLength": 1024
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
